---

 source/interpret.c |    7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

diff --quilt old/source/interpret.c new/source/interpret.c
--- old/source/interpret.c
+++ new/source/interpret.c
@@ -1956,11 +1956,10 @@ static int assign(void)
     POP(value);
 
     if (value.tag == ARRAY_TAG) {
-        ArrayCopy(dataPtr, &value);
-    }
-    else {
-        *dataPtr = value;
+        return ArrayCopy(dataPtr, &value);
     }
+
+    *dataPtr = value;
     return STAT_OK;
 }
 
